%define srcname IMDbPY
%define module  imdbpy

Name:           python3-imdbpy
Version:        4.18
Release:        %mkrel 2
Summary:        Retrieve and manage the data of the IMDb movie database
Group:          Development/Python
License:        GPLv2+
URL:            https://pypi.org/project/IMDbPY/
Source0:        https://pypi.org/project/IMDbPY/%{srcname}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires: python3-devel 
BuildRequires: python3-setuptools

%description
IMDbPY is a Python package useful to retrieve and manage the data of
the IMDb movie database about movies, people, characters and companies.


%prep
%setup -qn %{srcname}-%{version}

# Remove bundled egg-info
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files 
%{_bindir}/%{module}
%{_bindir}/*.py
%{python3_sitelib}/imdb/
%{python3_sitelib}/%{srcname}*.egg-info

%changelog
* Mon Jun 20 2022 TerryN <terryn94 at gmail.com> 4.18-2pclos2022
- rebuild for python 3.10

* Sun Apr 03 2022 Ken <lxgator at gmail.com> 4.18-1pclos2022
- Creat pkg
